Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PortletInstanceId

    java.lang.Object
      |
      +--com.bea.netuix.application.identifier.Id
            |
            +--com.bea.netuix.application.identifier.PortletInstanceId

All Implemented Interfaces:
  InstanceId, PlaceableInstanceId, Serializable

public class PortletInstanceId
extends Id
implements PlaceableInstanceId

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PortletInstanceId(int id)`

Method Summary
`protected Object` | `clone()`
`static PortletInstanceId` | `clone(PortletInstanceId portletInstanceId)`
`static PortletInstanceId` | `createPortletInstanceId(int id)`
`boolean` | `equals(Object o)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.netuix.application.identifier.PlaceableInstanceId
`getId`

Constructor Detail

### PortletInstanceId

    public PortletInstanceId(int id)

Method Detail

### createPortletInstanceId

    public static PortletInstanceId createPortletInstanceId(int id)

### clone

    public static PortletInstanceId clone(PortletInstanceId portletInstanceId)

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Id`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved